DeluxHostAPI Reference
Affiliate program

Get affiliate statistics and referrals

GET
/v1/affiliate

Authorization

apiToken affiliate:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: affiliate:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
code*string
commissionPercent*number
totalReferred*number
converted*number
earnedCents*number
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/affiliate' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "code": "string",  "commissionPercent": 0,  "totalReferred": 0,  "converted": 0,  "earnedCents": 0,  "items": [    {      "referredEmail": "string",      "status": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}